curl --request GET \
--url {protocol}://{host}/v2/loyalties/tier-structures/{tierStructureId}/activities \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"data": {
"tier_structure": {
"id": "<string>",
"name": "<string>",
"expiration": {
"fixed_duration": {
"period": {
"value": 123
}
},
"calendar_expiration": {
"calendar_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 123
}
}
},
"downgrade": {
"grace_period": {
"value": 123,
"round_up": true
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"point_balance": {
"card_definition_id": "<string>"
},
"point_earned": {
"card_definition_id": "<string>",
"period": {
"value": 123
}
}
},
"tier": {
"id": "<string>",
"tier_structure_id": "<string>",
"name": "<string>",
"downgrade": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"qualification_rules": {
"points": {
"min_value": 123,
"max_value": 123
},
"segment": {
"id": "<string>"
}
}
},
"program": {},
"program_tier_structure": {}
},
"created_at": "2023-11-07T05:31:56Z",
"tier_structure_id": "<string>",
"group_id": "<string>",
"source": {
"user": {
"id": "<string>"
},
"api_key": {
"name": "<string>",
"app_id": "<string>",
"client_app_id": "<string>"
}
}
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}List tier structure activities
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Returns a cursor-paginated list of activities recorded for the tier structure
(creation, updates, state transitions, assignments, and nested tier changes).
The same field cannot be requested in both ascending and descending order at once.
Default order is -created_at.
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"data": {
"tier_structure": {
"id": "<string>",
"name": "<string>",
"expiration": {
"fixed_duration": {
"period": {
"value": 123
}
},
"calendar_expiration": {
"calendar_dates": [
{
"day": 16,
"month": 6
}
]
},
"sliding_expiration": {
"earning_activity": true,
"spending_activity": true,
"custom_activity": true,
"custom_activity_types": [
"<string>"
],
"period": {
"value": 123
}
}
},
"downgrade": {
"grace_period": {
"value": 123,
"round_up": true
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"point_balance": {
"card_definition_id": "<string>"
},
"point_earned": {
"card_definition_id": "<string>",
"period": {
"value": 123
}
}
},
"tier": {
"id": "<string>",
"tier_structure_id": "<string>",
"name": "<string>",
"downgrade": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"qualification_rules": {
"points": {
"min_value": 123,
"max_value": 123
},
"segment": {
"id": "<string>"
}
}
},
"program": {},
"program_tier_structure": {}
},
"created_at": "2023-11-07T05:31:56Z",
"tier_structure_id": "<string>",
"group_id": "<string>",
"source": {
"user": {
"id": "<string>"
},
"api_key": {
"name": "<string>",
"app_id": "<string>",
"client_app_id": "<string>"
}
}
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique tier structure identifier.
^lts_[a-f0-9]+$Query Parameters
Maximum number of items returned per page. An integer between 1 and 100. Defaults to 10.
1 <= x <= 100Sort order. A single field name or an array of field names; prefix a field with
- for descending order. Default is -created_at. The same field must not be
requested in both ascending and descending direction at once.
created_at, -created_at Pagination cursor returned in the cursor.next field of a previous response.
Must match the tier structure activities cursor id format.
^lcrsats_[a-f0-9]+$Field-specific filter conditions, passed as a deep object
(e.g. filters[type][conditions][$is]=vl.tier_structure.created).
Filters for the tier structure activities list. Each field accepts a conditions
object; each filter field may also be null.
Show child attributes
Show child attributes
Response
Paginated list of tier structure activities.
Cursor-paginated list of tier structure activities.
Was this page helpful?

